pub fn start() {
	let input = include_str!("input.txt").replace("\r", "");

	let mut message_marker = vec![];
	let mut packet_marker = vec![];

	let mut res1 = -1;
	let mut res2 = -1;
	let mut i = 0;
	input.chars().for_each(|f| {
		packet_marker.push(f);
		message_marker.push(f);
		if packet_marker.len() >= 4 {
			packet_marker = packet_marker.drain((packet_marker.len() - 4)..).collect();
			if res1 < 0 && packet_marker.len() == 4 && !(1..packet_marker.len()).any(|f| packet_marker[f..].contains(&packet_marker[f - 1])) {
				res1 = i;
			}
		}
		if message_marker.len() >= 14 {
			message_marker = message_marker.drain((message_marker.len() - 14)..).collect();
			if res2 < 0 && message_marker.len() == 14 && !(1..message_marker.len()).any(|f| message_marker[f..].contains(&message_marker[f - 1])) {
				res2 = i;
			}
		}
		i += 1;
	});

	println!("Part 1: {}", res1 + 1);
	println!("Part 2: {}", res2 + 1);
}
